/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { BaseElement } from "./BaseElement";
import { WCNativeHelper } from "./WCNativeHelper";
import { enumGetBox, EnumUtil, markType } from "igniteui-react-core";
import { ChipVariant_$type } from "./ChipVariant";
import { SizableComponentSize_$type } from "./SizableComponentSize";
import { ComponentBoolValueChangedEventArgs } from "./ComponentBoolValueChangedEventArgs";
/**
 * @hidden
 */
export let Chip = /*@__PURE__*/ (() => {
    class Chip extends BaseElement {
        constructor() {
            super(...arguments);
            this.e = new WCNativeHelper();
            this.k = null;
            this.remove = null;
            this.select = null;
        }
        get f() {
            return this.e;
        }
        get nativeElement() {
            return this.k;
        }
        set nativeElement(a) {
            this.k = a;
            this.e.d = this.k;
        }
        get g() {
            let ret_ = this.f.c("disabled");
            return ret_;
        }
        set g(a) {
            let value_ = a;
            this.f.i("disabled", value_);
        }
        get h() {
            let ret_ = this.f.c("removable");
            return ret_;
        }
        set h(a) {
            let value_ = a;
            this.f.i("removable", value_);
        }
        get i() {
            let ret_ = this.f.c("selectable");
            return ret_;
        }
        set i(a) {
            let value_ = a;
            this.f.i("selectable", value_);
        }
        get j() {
            let ret_ = this.f.c("selected");
            return ret_;
        }
        set j(a) {
            let value_ = a;
            this.f.i("selected", value_);
        }
        get a() {
            let ret_ = this.f.c("variant");
            ret_ = enumGetBox(ChipVariant_$type, EnumUtil.getEnumValue(ChipVariant_$type, EnumUtil.parse(ChipVariant_$type, ret_.toString(), true)));
            return EnumUtil.getEnumValue(ChipVariant_$type, ret_);
        }
        set a(a) {
            let value_ = enumGetBox(ChipVariant_$type, a);
            value_ = WCNativeHelper.e(value_.toString());
            this.f.i("variant", value_);
        }
        get d() {
            let ret_ = this.f.c("size");
            ret_ = enumGetBox(SizableComponentSize_$type, EnumUtil.getEnumValue(SizableComponentSize_$type, EnumUtil.parse(SizableComponentSize_$type, ret_.toString(), true)));
            return EnumUtil.getEnumValue(SizableComponentSize_$type, ret_);
        }
        set d(a) {
            let value_ = enumGetBox(SizableComponentSize_$type, a);
            value_ = WCNativeHelper.e(value_.toString());
            this.f.i("size", value_);
        }
        removeChanged() {
            if (this.remove != null) {
                this.f.g("remove", (a) => this.remove(this, ComponentBoolValueChangedEventArgs.a(a)));
            }
            else {
                this.f.h("remove");
            }
        }
        selectChanged() {
            if (this.select != null) {
                this.f.g("select", (a) => this.select(this, ComponentBoolValueChangedEventArgs.a(a)));
            }
            else {
                this.f.h("select");
            }
        }
    }
    Chip.$t = /*@__PURE__*/ markType(Chip, 'Chip', BaseElement.$);
    return Chip;
})();
