/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { DockManagerPane } from "./DockManagerPane";
import { WCNativeHelper } from "./WCNativeHelper";
import { enumGetBox, EnumUtil, markType } from "igniteui-react-core";
import { DockManagerPaneType_$type } from "./DockManagerPaneType";
import { ContentPaneUnpinnedLocation_$type } from "./ContentPaneUnpinnedLocation";
/**
 * @hidden
 */
export let ContentPane = /*@__PURE__*/ (() => {
    class ContentPane extends DockManagerPane {
        constructor() {
            super(...arguments);
            this.g = new WCNativeHelper();
            this.t = null;
        }
        get h() {
            return this.g;
        }
        get nativeElement() {
            return this.t;
        }
        set nativeElement(a) {
            this.t = a;
            this.g.d = this.t;
        }
        get z() {
            let ret_ = this.h.c("id");
            return ret_;
        }
        set z(a) {
            let value_ = a;
            this.h.i("id", value_);
        }
        get f() {
            let ret_ = this.h.c("type");
            return EnumUtil.getEnumValue(DockManagerPaneType_$type, ret_);
        }
        set f(a) {
            let value_ = enumGetBox(DockManagerPaneType_$type, a);
            this.h.i("type", value_);
        }
        get v() {
            let ret_ = this.h.c("contentId");
            return ret_;
        }
        set v(a) {
            let value_ = a;
            this.h.i("contentId", value_);
        }
        get x() {
            let ret_ = this.h.c("header");
            return ret_;
        }
        set x(a) {
            let value_ = a;
            this.h.i("header", value_);
        }
        get y() {
            let ret_ = this.h.c("headerId");
            return ret_;
        }
        set y(a) {
            let value_ = a;
            this.h.i("headerId", value_);
        }
        get aa() {
            let ret_ = this.h.c("tabHeaderId");
            return ret_;
        }
        set aa(a) {
            let value_ = a;
            this.h.i("tabHeaderId", value_);
        }
        get ab() {
            let ret_ = this.h.c("unpinnedHeaderId");
            return ret_;
        }
        set ab(a) {
            let value_ = a;
            this.h.i("unpinnedHeaderId", value_);
        }
        get w() {
            let ret_ = this.h.c("floatingHeaderId");
            return ret_;
        }
        set w(a) {
            let value_ = a;
            this.h.i("floatingHeaderId", value_);
        }
        get r() {
            let ret_ = this.h.c("size");
            return ret_;
        }
        set r(a) {
            let value_ = a;
            this.h.i("size", value_);
        }
        get i() {
            let ret_ = this.h.c("allowClose");
            return ret_;
        }
        set i(a) {
            let value_ = a;
            this.h.i("allowClose", value_);
        }
        get l() {
            let ret_ = this.h.c("allowMaximize");
            return ret_;
        }
        set l(a) {
            let value_ = a;
            this.h.i("allowMaximize", value_);
        }
        get m() {
            let ret_ = this.h.c("allowPinning");
            return ret_;
        }
        set m(a) {
            let value_ = a;
            this.h.i("allowPinning", value_);
        }
        get j() {
            let ret_ = this.h.c("allowDocking");
            return ret_;
        }
        set j(a) {
            let value_ = a;
            this.h.i("allowDocking", value_);
        }
        get k() {
            let ret_ = this.h.c("allowFloating");
            return ret_;
        }
        set k(a) {
            let value_ = a;
            this.h.i("allowFloating", value_);
        }
        get s() {
            let ret_ = this.h.c("unpinnedSize");
            return ret_;
        }
        set s(a) {
            let value_ = a;
            this.h.i("unpinnedSize", value_);
        }
        get q() {
            let ret_ = this.h.c("isPinned");
            return ret_;
        }
        set q(a) {
            let value_ = a;
            this.h.i("isPinned", value_);
        }
        get e() {
            let ret_ = this.h.c("unpinnedLocation");
            ret_ = enumGetBox(ContentPaneUnpinnedLocation_$type, EnumUtil.getEnumValue(ContentPaneUnpinnedLocation_$type, EnumUtil.parse(ContentPaneUnpinnedLocation_$type, ret_.toString(), true)));
            return EnumUtil.getEnumValue(ContentPaneUnpinnedLocation_$type, ret_);
        }
        set e(a) {
            let value_ = enumGetBox(ContentPaneUnpinnedLocation_$type, a);
            value_ = WCNativeHelper.e(value_.toString());
            this.h.i("unpinnedLocation", value_);
        }
        get p() {
            let ret_ = this.h.c("hidden");
            return ret_;
        }
        set p(a) {
            let value_ = a;
            this.h.i("hidden", value_);
        }
        get n() {
            let ret_ = this.h.c("disabled");
            return ret_;
        }
        set n(a) {
            let value_ = a;
            this.h.i("disabled", value_);
        }
        get o() {
            let ret_ = this.h.c("documentOnly");
            return ret_;
        }
        set o(a) {
            let value_ = a;
            this.h.i("documentOnly", value_);
        }
    }
    ContentPane.$t = /*@__PURE__*/ markType(ContentPane, 'ContentPane', DockManagerPane.$);
    return ContentPane;
})();
