/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { InputBase } from "./InputBase";
import { WCNativeHelper } from "./WCNativeHelper";
import { enumGetBox, EnumUtil, markType } from "igniteui-react-core";
import { InputDir_$type } from "./InputDir";
import { InputType_$type } from "./InputType";
import { InputInputmode_$type } from "./InputInputmode";
import { ComponentValueChangedEventArgs } from "./ComponentValueChangedEventArgs";
/**
 * @hidden
 */
export let Input = /*@__PURE__*/ (() => {
    class Input extends InputBase {
        constructor() {
            super(...arguments);
            this.change = null;
        }
        changeChanged() {
            if (this.change != null) {
                this.f.g("change", (a) => this.change(this, ComponentValueChangedEventArgs.a(a)));
            }
            else {
                this.f.h("change");
            }
        }
        get al() {
            let ret_ = this.f.c("value");
            return ret_;
        }
        set al(a) {
            let value_ = a;
            this.f.i("value", value_);
        }
        get z() {
            let ret_ = this.f.c("dir");
            ret_ = enumGetBox(InputDir_$type, EnumUtil.getEnumValue(InputDir_$type, EnumUtil.parse(InputDir_$type, ret_.toString(), true)));
            return EnumUtil.getEnumValue(InputDir_$type, ret_);
        }
        set z(a) {
            let value_ = enumGetBox(InputDir_$type, a);
            value_ = WCNativeHelper.e(value_.toString());
            this.f.i("dir", value_);
        }
        get ab() {
            let ret_ = this.f.c("type");
            ret_ = enumGetBox(InputType_$type, EnumUtil.getEnumValue(InputType_$type, EnumUtil.parse(InputType_$type, ret_.toString(), true)));
            return EnumUtil.getEnumValue(InputType_$type, ret_);
        }
        set ab(a) {
            let value_ = enumGetBox(InputType_$type, a);
            value_ = WCNativeHelper.e(value_.toString());
            this.f.i("type", value_);
        }
        get aa() {
            let ret_ = this.f.c("inputmode");
            ret_ = enumGetBox(InputInputmode_$type, EnumUtil.getEnumValue(InputInputmode_$type, EnumUtil.parse(InputInputmode_$type, ret_.toString(), true)));
            return EnumUtil.getEnumValue(InputInputmode_$type, ret_);
        }
        set aa(a) {
            let value_ = enumGetBox(InputInputmode_$type, a);
            value_ = WCNativeHelper.e(value_.toString());
            this.f.i("inputmode", value_);
        }
        get ak() {
            let ret_ = this.f.c("pattern");
            return ret_;
        }
        set ak(a) {
            let value_ = a;
            this.f.i("pattern", value_);
        }
        get ad() {
            let ret_ = this.f.c("invalid");
            return ret_;
        }
        set ad(a) {
            let value_ = a;
            this.f.i("invalid", value_);
        }
        get af() {
            let ret_ = this.f.c("minlength");
            return ret_;
        }
        set af(a) {
            let value_ = a;
            this.f.i("minlength", value_);
        }
        get ae() {
            let ret_ = this.f.c("maxlength");
            return ret_;
        }
        set ae(a) {
            let value_ = a;
            this.f.i("maxlength", value_);
        }
        get aj() {
            let ret_ = this.f.c("min");
            return ret_;
        }
        set aj(a) {
            let value_ = a;
            this.f.i("min", value_);
        }
        get ai() {
            let ret_ = this.f.c("max");
            return ret_;
        }
        set ai(a) {
            let value_ = a;
            this.f.i("max", value_);
        }
        get ag() {
            let ret_ = this.f.c("step");
            return ret_;
        }
        set ag(a) {
            let value_ = a;
            this.f.i("step", value_);
        }
        get ac() {
            let ret_ = this.f.c("autofocus");
            return ret_;
        }
        set ac(a) {
            let value_ = a;
            this.f.i("autofocus", value_);
        }
        get ah() {
            let ret_ = this.f.c("autocomplete");
            return ret_;
        }
        set ah(a) {
            let value_ = a;
            this.f.i("autocomplete", value_);
        }
        an() {
            this.nativeElement.reportValidity();
        }
        ap(a) {
            this.nativeElement.setCustomValidity(a);
        }
        ao() {
            this.nativeElement.select();
        }
        ar(a) {
            this.nativeElement.stepUp(a);
        }
        aq(a) {
            this.nativeElement.stepDown(a);
        }
    }
    Input.$t = /*@__PURE__*/ markType(Input, 'Input', InputBase.$);
    return Input;
})();
