/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { PaneDragAction } from "./PaneDragAction";
import { WCNativeHelper } from "./WCNativeHelper";
import { enumGetBox, EnumUtil, markType } from "igniteui-react-core";
import { PaneDragActionType_$type } from "./PaneDragActionType";
/**
 * @hidden
 */
export let MoveFloatingPaneAction = /*@__PURE__*/ (() => {
    class MoveFloatingPaneAction extends PaneDragAction {
        constructor() {
            super(...arguments);
            this.d = new WCNativeHelper();
            this.f = null;
        }
        get e() {
            return this.d;
        }
        get nativeElement() {
            return this.f;
        }
        set nativeElement(a) {
            this.f = a;
            this.d.d = this.f;
        }
        get c() {
            let ret_ = this.e.c("type");
            return EnumUtil.getEnumValue(PaneDragActionType_$type, ret_);
        }
        set c(a) {
            let value_ = enumGetBox(PaneDragActionType_$type, a);
            this.e.i("type", value_);
        }
        get b() {
            let ret_ = this.e.c("oldLocation");
            return ret_;
        }
        set b(a) {
            let value_ = a;
            this.e.i("oldLocation", value_);
        }
        get a() {
            let ret_ = this.e.c("newLocation");
            return ret_;
        }
        set a(a) {
            let value_ = a;
            this.e.i("newLocation", value_);
        }
    }
    MoveFloatingPaneAction.$t = /*@__PURE__*/ markType(MoveFloatingPaneAction, 'MoveFloatingPaneAction', PaneDragAction.$);
    return MoveFloatingPaneAction;
})();
