/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { BaseElement } from "./BaseElement";
import { WCNativeHelper } from "./WCNativeHelper";
import { enumGetBox, EnumUtil, markType } from "igniteui-react-core";
import { SliderBaseTickOrientation_$type } from "./SliderBaseTickOrientation";
import { TickLabelRotation_$type } from "./TickLabelRotation";
/**
 * @hidden
 */
export let SliderBase = /*@__PURE__*/ (() => {
    class SliderBase extends BaseElement {
        constructor() {
            super(...arguments);
            this.d = new WCNativeHelper();
            this.r = null;
        }
        get e() {
            return this.d;
        }
        get nativeElement() {
            return this.r;
        }
        set nativeElement(a) {
            this.r = a;
            this.d.d = this.r;
        }
        get m() {
            let ret_ = this.e.c("min");
            return ret_;
        }
        set m(a) {
            let value_ = a;
            this.e.i("min", value_);
        }
        get l() {
            let ret_ = this.e.c("max");
            return ret_;
        }
        set l(a) {
            let value_ = a;
            this.e.i("max", value_);
        }
        get k() {
            let ret_ = this.e.c("lowerBound");
            return ret_;
        }
        set k(a) {
            let value_ = a;
            this.e.i("lowerBound", value_);
        }
        get q() {
            let ret_ = this.e.c("upperBound");
            return ret_;
        }
        set q(a) {
            let value_ = a;
            this.e.i("upperBound", value_);
        }
        get f() {
            let ret_ = this.e.c("disabled");
            return ret_;
        }
        set f(a) {
            let value_ = a;
            this.e.i("disabled", value_);
        }
        get g() {
            let ret_ = this.e.c("discreteTrack");
            return ret_;
        }
        set g(a) {
            let value_ = a;
            this.e.i("discreteTrack", value_);
        }
        get j() {
            let ret_ = this.e.c("hideTooltip");
            return ret_;
        }
        set j(a) {
            let value_ = a;
            this.e.i("hideTooltip", value_);
        }
        get p() {
            let ret_ = this.e.c("step");
            return ret_;
        }
        set p(a) {
            let value_ = a;
            this.e.i("step", value_);
        }
        get n() {
            let ret_ = this.e.c("primaryTicks");
            return ret_;
        }
        set n(a) {
            let value_ = a;
            this.e.i("primaryTicks", value_);
        }
        get o() {
            let ret_ = this.e.c("secondaryTicks");
            return ret_;
        }
        set o(a) {
            let value_ = a;
            this.e.i("secondaryTicks", value_);
        }
        get b() {
            let ret_ = this.e.c("tickOrientation");
            ret_ = enumGetBox(SliderBaseTickOrientation_$type, EnumUtil.getEnumValue(SliderBaseTickOrientation_$type, EnumUtil.parse(SliderBaseTickOrientation_$type, ret_.toString(), true)));
            return EnumUtil.getEnumValue(SliderBaseTickOrientation_$type, ret_);
        }
        set b(a) {
            let value_ = enumGetBox(SliderBaseTickOrientation_$type, a);
            value_ = WCNativeHelper.e(value_.toString());
            this.e.i("tickOrientation", value_);
        }
        get h() {
            let ret_ = this.e.c("hidePrimaryLabels");
            return ret_;
        }
        set h(a) {
            let value_ = a;
            this.e.i("hidePrimaryLabels", value_);
        }
        get i() {
            let ret_ = this.e.c("hideSecondaryLabels");
            return ret_;
        }
        set i(a) {
            let value_ = a;
            this.e.i("hideSecondaryLabels", value_);
        }
        get t() {
            let ret_ = this.e.c("locale");
            return ret_;
        }
        set t(a) {
            let value_ = a;
            this.e.i("locale", value_);
        }
        get u() {
            let ret_ = this.e.c("valueFormat");
            return ret_;
        }
        set u(a) {
            let value_ = a;
            this.e.i("valueFormat", value_);
        }
        get a() {
            let ret_ = this.e.c("valueFormatOptions");
            return ret_;
        }
        set a(a) {
            let value_ = a;
            this.e.i("valueFormatOptions", value_);
        }
        get c() {
            let ret_ = this.e.c("tickLabelRotation");
            return EnumUtil.getEnumValue(TickLabelRotation_$type, ret_);
        }
        set c(a) {
            let value_ = enumGetBox(TickLabelRotation_$type, a);
            this.e.i("tickLabelRotation", value_);
        }
        v() {
            this.nativeElement.connectedCallback();
        }
    }
    SliderBase.$t = /*@__PURE__*/ markType(SliderBase, 'SliderBase', BaseElement.$);
    return SliderBase;
})();
