/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { BaseElement } from "./BaseElement";
import { WCNativeHelper } from "./WCNativeHelper";
import { markType } from "igniteui-react-core";
import { VoidEventArgs } from "./VoidEventArgs";
/**
 * @hidden
 */
export let Snackbar = /*@__PURE__*/ (() => {
    class Snackbar extends BaseElement {
        constructor() {
            super(...arguments);
            this.b = new WCNativeHelper();
            this.g = null;
            this.action = null;
        }
        get c() {
            return this.b;
        }
        get nativeElement() {
            return this.g;
        }
        set nativeElement(a) {
            this.g = a;
            this.b.d = this.g;
        }
        get e() {
            let ret_ = this.c.c("open");
            return ret_;
        }
        set e(a) {
            let value_ = a;
            this.c.i("open", value_);
        }
        get f() {
            let ret_ = this.c.c("displayTime");
            return ret_;
        }
        set f(a) {
            let value_ = a;
            this.c.i("displayTime", value_);
        }
        get d() {
            let ret_ = this.c.c("keepOpen");
            return ret_;
        }
        set d(a) {
            let value_ = a;
            this.c.i("keepOpen", value_);
        }
        get i() {
            let ret_ = this.c.c("actionText");
            return ret_;
        }
        set i(a) {
            let value_ = a;
            this.c.i("actionText", value_);
        }
        actionChanged() {
            if (this.action != null) {
                this.c.g("action", (a) => this.action(this, VoidEventArgs.b(a)));
            }
            else {
                this.c.h("action");
            }
        }
        l() {
            this.nativeElement.show();
        }
        k() {
            this.nativeElement.hide();
        }
        m() {
            this.nativeElement.toggle();
        }
    }
    Snackbar.$t = /*@__PURE__*/ markType(Snackbar, 'Snackbar', BaseElement.$);
    return Snackbar;
})();
