import { FocusOptions as FocusOptions_internal } from "./FocusOptions";
import { ensureBool } from "igniteui-react-core";
export class IgrFocusOptions {
    constructor() {
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this.onImplementationCreated();
    }
    createImplementation() {
        return new FocusOptions_internal();
    }
    /**
     * @hidden
     */
    get i() {
        return this._implementation;
    }
    onImplementationCreated() {
    }
    _provideImplementation(i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
    }
    get preventScroll() {
        return this.i.a;
    }
    set preventScroll(v) {
        this.i.a = ensureBool(v);
    }
    findByName(name) {
        return null;
    }
}
