import { IgrFormData } from "./igr-form-data";
import { FormDataEventArgs as FormDataEventArgs_internal } from "./FormDataEventArgs";
export class IgrFormDataEventArgs {
    constructor() {
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this.onImplementationCreated();
    }
    createImplementation() {
        return new FormDataEventArgs_internal();
    }
    /**
     * @hidden
     */
    get i() {
        return this._implementation;
    }
    onImplementationCreated() {
    }
    _provideImplementation(i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
    }
    get detail() {
        if (this.i.a == null) {
            return null;
        }
        if (!this.i.a.externalObject) {
            let e = new IgrFormData();
            e._implementation = this.i.a;
            this.i.a.externalObject = e;
        }
        return this.i.a.externalObject;
    }
    set detail(v) {
        v == null ? this.i.a = null : this.i.a = v.i;
    }
}
