import { IgrTreeSelectionOptionsEventDetail } from "./igr-tree-selection-options-event-detail";
import { TreeSelectionOptionsEventArgs as TreeSelectionOptionsEventArgs_internal } from "./TreeSelectionOptionsEventArgs";
export class IgrTreeSelectionOptionsEventArgs {
    constructor() {
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this.onImplementationCreated();
    }
    createImplementation() {
        return new TreeSelectionOptionsEventArgs_internal();
    }
    /**
     * @hidden
     */
    get i() {
        return this._implementation;
    }
    onImplementationCreated() {
    }
    _provideImplementation(i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
    }
    get detail() {
        if (this.i.b == null) {
            return null;
        }
        if (!this.i.b.externalObject) {
            let e = new IgrTreeSelectionOptionsEventDetail();
            e._implementation = this.i.b;
            this.i.b.externalObject = e;
        }
        return this.i.b.externalObject;
    }
    set detail(v) {
        v == null ? this.i.b = null : this.i.b = v.i;
    }
}
