/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { BaseElement } from "./BaseElement";
import { WCNativeHelper } from "./WCNativeHelper";
import { enumGetBox, EnumUtil, markType } from "igniteui-react-core";
import { BadgeVariant_$type } from "./BadgeVariant";
import { BadgeShape_$type } from "./BadgeShape";
/**
 * @hidden
 */
var Badge = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(Badge, _super);
    function Badge() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.c = new WCNativeHelper();
        _this.f = null;
        return _this;
    }
    Object.defineProperty(Badge.prototype, "d", {
        get: function () {
            return this.c;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Badge.prototype, "nativeElement", {
        get: function () {
            return this.f;
        },
        set: function (a) {
            this.f = a;
            this.c.d = this.f;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Badge.prototype, "b", {
        get: function () {
            var ret_ = this.d.c("variant");
            ret_ = enumGetBox(BadgeVariant_$type, EnumUtil.getEnumValue(BadgeVariant_$type, EnumUtil.parse(BadgeVariant_$type, ret_.toString(), true)));
            return EnumUtil.getEnumValue(BadgeVariant_$type, ret_);
        },
        set: function (a) {
            var value_ = enumGetBox(BadgeVariant_$type, a);
            value_ = WCNativeHelper.e(value_.toString());
            this.d.i("variant", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Badge.prototype, "e", {
        get: function () {
            var ret_ = this.d.c("outlined");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.d.i("outlined", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Badge.prototype, "a", {
        get: function () {
            var ret_ = this.d.c("shape");
            ret_ = enumGetBox(BadgeShape_$type, EnumUtil.getEnumValue(BadgeShape_$type, EnumUtil.parse(BadgeShape_$type, ret_.toString(), true)));
            return EnumUtil.getEnumValue(BadgeShape_$type, ret_);
        },
        set: function (a) {
            var value_ = enumGetBox(BadgeShape_$type, a);
            value_ = WCNativeHelper.e(value_.toString());
            this.d.i("shape", value_);
        },
        enumerable: false,
        configurable: true
    });
    Badge.$t = markType(Badge, 'Badge', BaseElement.$);
    return Badge;
}(BaseElement));
export { Badge };
