/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { BaseElement } from "./BaseElement";
import { WCNativeHelper } from "./WCNativeHelper";
import { enumGetBox, EnumUtil, markType } from "igniteui-react-core";
import { SizableComponentSize_$type } from "./SizableComponentSize";
import { ComponentValueChangedEventArgs } from "./ComponentValueChangedEventArgs";
import { VoidEventArgs } from "./VoidEventArgs";
/**
 * @hidden
 */
var InputBase = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(InputBase, _super);
    function InputBase() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.e = new WCNativeHelper();
        _this.k = null;
        _this.inputOcurred = null;
        _this.focus = null;
        _this.blur = null;
        return _this;
    }
    Object.defineProperty(InputBase.prototype, "f", {
        get: function () {
            return this.e;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(InputBase.prototype, "nativeElement", {
        get: function () {
            return this.k;
        },
        set: function (a) {
            this.k = a;
            this.e.d = this.k;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(InputBase.prototype, "n", {
        get: function () {
            var ret_ = this.f.c("name");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.f.i("name", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(InputBase.prototype, "h", {
        get: function () {
            var ret_ = this.f.c("outlined");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.f.i("outlined", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(InputBase.prototype, "j", {
        get: function () {
            var ret_ = this.f.c("required");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.f.i("required", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(InputBase.prototype, "g", {
        get: function () {
            var ret_ = this.f.c("disabled");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.f.i("disabled", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(InputBase.prototype, "i", {
        get: function () {
            var ret_ = this.f.c("readonly");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.f.i("readonly", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(InputBase.prototype, "o", {
        get: function () {
            var ret_ = this.f.c("placeholder");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.f.i("placeholder", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(InputBase.prototype, "m", {
        get: function () {
            var ret_ = this.f.c("label");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.f.i("label", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(InputBase.prototype, "b", {
        get: function () {
            var ret_ = this.f.c("size");
            ret_ = enumGetBox(SizableComponentSize_$type, EnumUtil.getEnumValue(SizableComponentSize_$type, EnumUtil.parse(SizableComponentSize_$type, ret_.toString(), true)));
            return EnumUtil.getEnumValue(SizableComponentSize_$type, ret_);
        },
        set: function (a) {
            var value_ = enumGetBox(SizableComponentSize_$type, a);
            value_ = WCNativeHelper.e(value_.toString());
            this.f.i("size", value_);
        },
        enumerable: false,
        configurable: true
    });
    InputBase.prototype.inputOcurredChanged = function () {
        var _this = this;
        if (this.inputOcurred != null) {
            this.f.g("inputOcurred", function (a) { return _this.inputOcurred(_this, ComponentValueChangedEventArgs.a(a)); });
        }
        else {
            this.f.h("inputOcurred");
        }
    };
    InputBase.prototype.focusChanged = function () {
        var _this = this;
        if (this.focus != null) {
            this.f.g("focus", function (a) { return _this.focus(_this, VoidEventArgs.b(a)); });
        }
        else {
            this.f.h("focus");
        }
    };
    InputBase.prototype.blurChanged = function () {
        var _this = this;
        if (this.blur != null) {
            this.f.g("blur", function (a) { return _this.blur(_this, VoidEventArgs.b(a)); });
        }
        else {
            this.f.h("blur");
        }
    };
    InputBase.prototype.r = function () {
        this.nativeElement.connectedCallback();
    };
    InputBase.prototype.x = function (a) {
        this.nativeElement.themeAdopted(a);
    };
    InputBase.prototype.t = function (a) {
        this.nativeElement.focusComponent(a);
    };
    InputBase.prototype.q = function () {
        this.nativeElement.blurComponent();
    };
    InputBase.prototype.w = function (a, b, c) {
        this.nativeElement.setSelectionRange(a, b, c);
    };
    InputBase.prototype.v = function (a, b, c, d) {
        this.nativeElement.setRangeText(a, b, c, d);
    };
    InputBase.$t = markType(InputBase, 'InputBase', BaseElement.$);
    return InputBase;
}(BaseElement));
export { InputBase };
