/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { SliderBase } from "./SliderBase";
import { markType } from "igniteui-react-core";
import { RangeSliderValueEventArgs } from "./RangeSliderValueEventArgs";
/**
 * @hidden
 */
var RangeSlider = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(RangeSlider, _super);
    function RangeSlider() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.input = null;
        _this.change = null;
        return _this;
    }
    Object.defineProperty(RangeSlider.prototype, "y", {
        get: function () {
            var ret_ = this.e.c("lower");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.e.i("lower", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RangeSlider.prototype, "z", {
        get: function () {
            var ret_ = this.e.c("upper");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.e.i("upper", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RangeSlider.prototype, "aa", {
        get: function () {
            var ret_ = this.e.c("ariaLabelLower");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.e.i("ariaLabelLower", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RangeSlider.prototype, "ab", {
        get: function () {
            var ret_ = this.e.c("ariaLabelUpper");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.e.i("ariaLabelUpper", value_);
        },
        enumerable: false,
        configurable: true
    });
    RangeSlider.prototype.inputChanged = function () {
        var _this = this;
        if (this.input != null) {
            this.e.g("input", function (a) { return _this.input(_this, RangeSliderValueEventArgs.b(a)); });
        }
        else {
            this.e.h("input");
        }
    };
    RangeSlider.prototype.changeChanged = function () {
        var _this = this;
        if (this.change != null) {
            this.e.g("change", function (a) { return _this.change(_this, RangeSliderValueEventArgs.b(a)); });
        }
        else {
            this.e.h("change");
        }
    };
    RangeSlider.$t = markType(RangeSlider, 'RangeSlider', SliderBase.$);
    return RangeSlider;
}(SliderBase));
export { RangeSlider };
