/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { BaseElement } from "./BaseElement";
import { WCNativeHelper } from "./WCNativeHelper";
import { enumGetBox, EnumUtil, markType } from "igniteui-react-core";
import { SizableComponentSize_$type } from "./SizableComponentSize";
import { NumberEventArgs } from "./NumberEventArgs";
/**
 * @hidden
 */
var Rating = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(Rating, _super);
    function Rating() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.d = new WCNativeHelper();
        _this.l = null;
        _this.change = null;
        _this.hover = null;
        return _this;
    }
    Object.defineProperty(Rating.prototype, "e", {
        get: function () {
            return this.d;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Rating.prototype, "nativeElement", {
        get: function () {
            return this.l;
        },
        set: function (a) {
            this.l = a;
            this.d.d = this.l;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Rating.prototype, "i", {
        get: function () {
            var ret_ = this.e.c("max");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.e.i("max", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Rating.prototype, "j", {
        get: function () {
            var ret_ = this.e.c("step");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.e.i("step", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Rating.prototype, "p", {
        get: function () {
            var ret_ = this.e.c("symbol");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.e.i("symbol", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Rating.prototype, "o", {
        get: function () {
            var ret_ = this.e.c("name");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.e.i("name", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Rating.prototype, "n", {
        get: function () {
            var ret_ = this.e.c("label");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.e.i("label", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Rating.prototype, "q", {
        get: function () {
            var ret_ = this.e.c("valueFormat");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.e.i("valueFormat", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Rating.prototype, "k", {
        get: function () {
            var ret_ = this.e.c("value");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.e.i("value", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Rating.prototype, "f", {
        get: function () {
            var ret_ = this.e.c("disabled");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.e.i("disabled", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Rating.prototype, "g", {
        get: function () {
            var ret_ = this.e.c("hoverPreview");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.e.i("hoverPreview", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Rating.prototype, "h", {
        get: function () {
            var ret_ = this.e.c("readonly");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.e.i("readonly", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Rating.prototype, "c", {
        get: function () {
            var ret_ = this.e.c("size");
            ret_ = enumGetBox(SizableComponentSize_$type, EnumUtil.getEnumValue(SizableComponentSize_$type, EnumUtil.parse(SizableComponentSize_$type, ret_.toString(), true)));
            return EnumUtil.getEnumValue(SizableComponentSize_$type, ret_);
        },
        set: function (a) {
            var value_ = enumGetBox(SizableComponentSize_$type, a);
            value_ = WCNativeHelper.e(value_.toString());
            this.e.i("size", value_);
        },
        enumerable: false,
        configurable: true
    });
    Rating.prototype.changeChanged = function () {
        var _this = this;
        if (this.change != null) {
            this.e.g("change", function (a) { return _this.change(_this, NumberEventArgs.a(a)); });
        }
        else {
            this.e.h("change");
        }
    };
    Rating.prototype.hoverChanged = function () {
        var _this = this;
        if (this.hover != null) {
            this.e.g("hover", function (a) { return _this.hover(_this, NumberEventArgs.a(a)); });
        }
        else {
            this.e.h("hover");
        }
    };
    Rating.prototype.u = function (a) {
        this.nativeElement.stepUp(a);
    };
    Rating.prototype.t = function (a) {
        this.nativeElement.stepDown(a);
    };
    Rating.$t = markType(Rating, 'Rating', BaseElement.$);
    return Rating;
}(BaseElement));
export { Rating };
