/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { BaseElement } from "./BaseElement";
import { WCNativeHelper } from "./WCNativeHelper";
import { enumGetBox, EnumUtil, markType } from "igniteui-react-core";
import { SliderBaseTickOrientation_$type } from "./SliderBaseTickOrientation";
import { TickLabelRotation_$type } from "./TickLabelRotation";
/**
 * @hidden
 */
var SliderBase = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(SliderBase, _super);
    function SliderBase() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.d = new WCNativeHelper();
        _this.r = null;
        return _this;
    }
    Object.defineProperty(SliderBase.prototype, "e", {
        get: function () {
            return this.d;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(SliderBase.prototype, "nativeElement", {
        get: function () {
            return this.r;
        },
        set: function (a) {
            this.r = a;
            this.d.d = this.r;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(SliderBase.prototype, "m", {
        get: function () {
            var ret_ = this.e.c("min");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.e.i("min", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(SliderBase.prototype, "l", {
        get: function () {
            var ret_ = this.e.c("max");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.e.i("max", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(SliderBase.prototype, "k", {
        get: function () {
            var ret_ = this.e.c("lowerBound");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.e.i("lowerBound", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(SliderBase.prototype, "q", {
        get: function () {
            var ret_ = this.e.c("upperBound");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.e.i("upperBound", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(SliderBase.prototype, "f", {
        get: function () {
            var ret_ = this.e.c("disabled");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.e.i("disabled", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(SliderBase.prototype, "g", {
        get: function () {
            var ret_ = this.e.c("discreteTrack");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.e.i("discreteTrack", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(SliderBase.prototype, "j", {
        get: function () {
            var ret_ = this.e.c("hideTooltip");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.e.i("hideTooltip", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(SliderBase.prototype, "p", {
        get: function () {
            var ret_ = this.e.c("step");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.e.i("step", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(SliderBase.prototype, "n", {
        get: function () {
            var ret_ = this.e.c("primaryTicks");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.e.i("primaryTicks", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(SliderBase.prototype, "o", {
        get: function () {
            var ret_ = this.e.c("secondaryTicks");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.e.i("secondaryTicks", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(SliderBase.prototype, "b", {
        get: function () {
            var ret_ = this.e.c("tickOrientation");
            ret_ = enumGetBox(SliderBaseTickOrientation_$type, EnumUtil.getEnumValue(SliderBaseTickOrientation_$type, EnumUtil.parse(SliderBaseTickOrientation_$type, ret_.toString(), true)));
            return EnumUtil.getEnumValue(SliderBaseTickOrientation_$type, ret_);
        },
        set: function (a) {
            var value_ = enumGetBox(SliderBaseTickOrientation_$type, a);
            value_ = WCNativeHelper.e(value_.toString());
            this.e.i("tickOrientation", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(SliderBase.prototype, "h", {
        get: function () {
            var ret_ = this.e.c("hidePrimaryLabels");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.e.i("hidePrimaryLabels", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(SliderBase.prototype, "i", {
        get: function () {
            var ret_ = this.e.c("hideSecondaryLabels");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.e.i("hideSecondaryLabels", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(SliderBase.prototype, "t", {
        get: function () {
            var ret_ = this.e.c("locale");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.e.i("locale", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(SliderBase.prototype, "u", {
        get: function () {
            var ret_ = this.e.c("valueFormat");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.e.i("valueFormat", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(SliderBase.prototype, "a", {
        get: function () {
            var ret_ = this.e.c("valueFormatOptions");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.e.i("valueFormatOptions", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(SliderBase.prototype, "c", {
        get: function () {
            var ret_ = this.e.c("tickLabelRotation");
            return EnumUtil.getEnumValue(TickLabelRotation_$type, ret_);
        },
        set: function (a) {
            var value_ = enumGetBox(TickLabelRotation_$type, a);
            this.e.i("tickLabelRotation", value_);
        },
        enumerable: false,
        configurable: true
    });
    SliderBase.prototype.v = function () {
        this.nativeElement.connectedCallback();
    };
    SliderBase.$t = markType(SliderBase, 'SliderBase', BaseElement.$);
    return SliderBase;
}(BaseElement));
export { SliderBase };
