/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { DockManagerPane } from "./DockManagerPane";
import { WCNativeHelper } from "./WCNativeHelper";
import { enumGetBox, EnumUtil, markType } from "igniteui-react-core";
import { DockManagerPaneType_$type } from "./DockManagerPaneType";
import { SplitPaneOrientation_$type } from "./SplitPaneOrientation";
/**
 * @hidden
 */
var SplitPane = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(SplitPane, _super);
    function SplitPane() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.i = new WCNativeHelper();
        _this.p = null;
        return _this;
    }
    Object.defineProperty(SplitPane.prototype, "j", {
        get: function () {
            return this.i;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(SplitPane.prototype, "nativeElement", {
        get: function () {
            return this.p;
        },
        set: function (a) {
            this.p = a;
            this.i.d = this.p;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(SplitPane.prototype, "r", {
        get: function () {
            var ret_ = this.j.c("id");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.j.i("id", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(SplitPane.prototype, "f", {
        get: function () {
            var ret_ = this.j.c("type");
            return EnumUtil.getEnumValue(DockManagerPaneType_$type, ret_);
        },
        set: function (a) {
            var value_ = enumGetBox(DockManagerPaneType_$type, a);
            this.j.i("type", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(SplitPane.prototype, "h", {
        get: function () {
            var ret_ = this.j.c("orientation");
            ret_ = enumGetBox(SplitPaneOrientation_$type, EnumUtil.getEnumValue(SplitPaneOrientation_$type, EnumUtil.parse(SplitPaneOrientation_$type, ret_.toString(), true)));
            return EnumUtil.getEnumValue(SplitPaneOrientation_$type, ret_);
        },
        set: function (a) {
            var value_ = enumGetBox(SplitPaneOrientation_$type, a);
            value_ = WCNativeHelper.e(value_.toString());
            this.j.i("orientation", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(SplitPane.prototype, "e", {
        get: function () {
            var ret_ = this.j.c("panes");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.j.i("panes", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(SplitPane.prototype, "o", {
        get: function () {
            var ret_ = this.j.c("size");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.j.i("size", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(SplitPane.prototype, "g", {
        get: function () {
            var ret_ = this.j.c("floatingLocation");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.j.i("floatingLocation", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(SplitPane.prototype, "n", {
        get: function () {
            var ret_ = this.j.c("floatingWidth");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.j.i("floatingWidth", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(SplitPane.prototype, "m", {
        get: function () {
            var ret_ = this.j.c("floatingHeight");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.j.i("floatingHeight", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(SplitPane.prototype, "l", {
        get: function () {
            var ret_ = this.j.c("floatingResizable");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.j.i("floatingResizable", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(SplitPane.prototype, "k", {
        get: function () {
            var ret_ = this.j.c("allowEmpty");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.j.i("allowEmpty", value_);
        },
        enumerable: false,
        configurable: true
    });
    SplitPane.$t = markType(SplitPane, 'SplitPane', DockManagerPane.$);
    return SplitPane;
}(DockManagerPane));
export { SplitPane };
