/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { DockManagerPane } from "./DockManagerPane";
import { WCNativeHelper } from "./WCNativeHelper";
import { enumGetBox, EnumUtil, markType } from "igniteui-react-core";
import { DockManagerPaneType_$type } from "./DockManagerPaneType";
/**
 * @hidden
 */
var TabGroupPane = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(TabGroupPane, _super);
    function TabGroupPane() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.g = new WCNativeHelper();
        _this.l = null;
        return _this;
    }
    Object.defineProperty(TabGroupPane.prototype, "h", {
        get: function () {
            return this.g;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(TabGroupPane.prototype, "nativeElement", {
        get: function () {
            return this.l;
        },
        set: function (a) {
            this.l = a;
            this.g.d = this.l;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(TabGroupPane.prototype, "n", {
        get: function () {
            var ret_ = this.h.c("id");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.h.i("id", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(TabGroupPane.prototype, "f", {
        get: function () {
            var ret_ = this.h.c("type");
            return EnumUtil.getEnumValue(DockManagerPaneType_$type, ret_);
        },
        set: function (a) {
            var value_ = enumGetBox(DockManagerPaneType_$type, a);
            this.h.i("type", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(TabGroupPane.prototype, "e", {
        get: function () {
            var ret_ = this.h.c("panes");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.h.i("panes", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(TabGroupPane.prototype, "k", {
        get: function () {
            var ret_ = this.h.c("size");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.h.i("size", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(TabGroupPane.prototype, "j", {
        get: function () {
            var ret_ = this.h.c("selectedIndex");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.h.i("selectedIndex", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(TabGroupPane.prototype, "i", {
        get: function () {
            var ret_ = this.h.c("allowEmpty");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.h.i("allowEmpty", value_);
        },
        enumerable: false,
        configurable: true
    });
    TabGroupPane.$t = markType(TabGroupPane, 'TabGroupPane', DockManagerPane.$);
    return TabGroupPane;
}(DockManagerPane));
export { TabGroupPane };
