/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { Base, typeCast, Boolean_$type, String_$type, Delegate_$type, markType } from "igniteui-react-core";
import { Dictionary$2 } from "igniteui-react-core";
import { toSpinal } from "igniteui-react-core";
/**
 * @hidden
 */
var WCNativeHelper = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(WCNativeHelper, _super);
    function WCNativeHelper() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.d = null;
        _this.a = new Dictionary$2(String_$type, Delegate_$type, 0);
        _this.b = new Dictionary$2(String_$type, Delegate_$type, 0);
        return _this;
    }
    WCNativeHelper.prototype.c = function (propertyName_) {
        var target_ = this.d;
        return target_[propertyName_];
    };
    WCNativeHelper.prototype.i = function (propertyName_, value_) {
        var target_ = this.d;
        if (typeCast(Boolean_$type, value_) !== null) {
            var a = (toSpinal(propertyName_));
            var b = value_;
            if (b) {
                target_.setAttribute(propertyName_, "");
            }
            else {
                target_.removeAttribute(propertyName_);
            }
        }
        target_[propertyName_] = value_;
    };
    WCNativeHelper.f = function (a) {
        if (a == null) {
            return a;
        }
        return a.substr(0, 1).toUpperCase() + a.substr(1);
    };
    WCNativeHelper.e = function (a) {
        if (a == null) {
            return a;
        }
        return a.substr(0, 1).toLowerCase() + a.substr(1);
    };
    WCNativeHelper.prototype.g = function (a, b, c) {
        if (c === void 0) {
            c = true;
        }
        var wcName_ = "igc" + WCNativeHelper.f(a);
        if (!c) {
            wcName_ = a;
        }
        var d = null;
        var e = null;
        if (this.a.containsKey(a)) {
            d = this.a.item(a);
            e = this.b.item(a);
        }
        var f = b;
        var target_ = this.d;
        if (d != null) {
            var old_ = e;
            target_.removeEventListener(wcName_, old_);
            this.a.removeItem(a);
            this.b.removeItem(a);
        }
        if (f != null) {
            var nativeHandler_ = function (ev_) {
                var g = null;
                if (ev_ != null) {
                    g = ev_.detail;
                }
                f(g);
            };
            this.a.addItem(a, f);
            this.b.addItem(a, nativeHandler_);
            target_.addEventListener(wcName_, nativeHandler_);
        }
    };
    WCNativeHelper.prototype.h = function (a) {
        var wcName_ = "igc" + WCNativeHelper.f(a);
        var target_ = this.d;
        var b = null;
        var c = null;
        if (this.a.containsKey(a)) {
            b = this.a.item(a);
            c = this.b.item(a);
        }
        if (b != null) {
            var old_ = c;
            target_.removeEventListener(wcName_, old_);
            this.a.removeItem(a);
            this.b.removeItem(a);
        }
    };
    WCNativeHelper.$t = markType(WCNativeHelper, 'WCNativeHelper');
    return WCNativeHelper;
}(Base));
export { WCNativeHelper };
