import { CalendarDate as CalendarDate_internal } from "./CalendarDate";
import { ensureBool } from "igniteui-react-core";
var IgrCalendarDate = /** @class */ /*@__PURE__*/ (function () {
    function IgrCalendarDate() {
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this.onImplementationCreated();
    }
    IgrCalendarDate.prototype.createImplementation = function () {
        return new CalendarDate_internal();
    };
    Object.defineProperty(IgrCalendarDate.prototype, "i", {
        /**
         * @hidden
         */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    IgrCalendarDate.prototype.onImplementationCreated = function () {
    };
    IgrCalendarDate.prototype._provideImplementation = function (i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
    };
    Object.defineProperty(IgrCalendarDate.prototype, "date", {
        get: function () {
            return this.i.d;
        },
        set: function (v) {
            this.i.d = v;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(IgrCalendarDate.prototype, "isCurrentMonth", {
        get: function () {
            return this.i.a;
        },
        set: function (v) {
            this.i.a = ensureBool(v);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(IgrCalendarDate.prototype, "isPrevMonth", {
        get: function () {
            return this.i.c;
        },
        set: function (v) {
            this.i.c = ensureBool(v);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(IgrCalendarDate.prototype, "isNextMonth", {
        get: function () {
            return this.i.b;
        },
        set: function (v) {
            this.i.b = ensureBool(v);
        },
        enumerable: false,
        configurable: true
    });
    IgrCalendarDate.prototype.findByName = function (name) {
        return null;
    };
    return IgrCalendarDate;
}());
export { IgrCalendarDate };
