import * as React from 'react';
import { IgrProgressBase, IIgrProgressBaseProps } from "./igr-progress-base";
import { CircularProgress } from "./CircularProgress";
/**
 * A circular progress indicator used to express unspecified wait time or display
 * the length of a process.
*/
export declare class IgrCircularProgress extends IgrProgressBase<IIgrCircularProgressProps> {
    protected createImplementation(): CircularProgress;
    /**
                                 * @hidden
                                 */
    get i(): CircularProgress;
    constructor(props: IIgrCircularProgressProps);
    componentDidMount(): void;
    render(): React.DOMElement<{
        ref: (ref: any) => void;
        className: string;
        style: React.CSSProperties;
        children: any[];
    }, any>;
    protected _elRef: HTMLElement;
    protected _getMainRef(ref: any): void;
}
export interface IIgrCircularProgressProps extends IIgrProgressBaseProps {
}
