import * as React from 'react';
import { DockManagerPoint } from "./DockManagerPoint";
export declare class IgrDockManagerPoint<P extends IIgrDockManagerPointProps = IIgrDockManagerPointProps> extends React.Component<P, {}> {
    protected createImplementation(): DockManagerPoint;
    protected _implementation: any;
    /**
     * @hidden
     */
    get i(): DockManagerPoint; /**
                                 * @hidden
                                 */
    static _createFromInternal(internal: any): IgrDockManagerPoint;
    private onImplementationCreated;
    constructor(props: P);
    componentDidMount(): void;
    shouldComponentUpdate(nextProps: any, nextState: any): boolean;
    render(): any;
    get x(): number;
    set x(v: number);
    get y(): number;
    set y(v: number);
    findByName(name: string): any;
    protected __p: string;
    protected _hasUserValues: Set<string>;
    protected get hasUserValues(): Set<string>;
    protected __m(propertyName: string): void;
    protected _stylingContainer: any;
    protected _stylingParent: any;
    protected _inStyling: boolean;
    protected _styling(container: any, component: any, parent?: any): void;
}
export interface IIgrDockManagerPointProps {
    children?: React.ReactNode;
    x?: number | string;
    y?: number | string;
}
