import * as React from 'react';
import { DropdownGroupSize } from "./DropdownGroupSize";
import { DropdownGroup } from "./DropdownGroup";
/**

*/
export declare class IgrDropdownGroup<P extends IIgrDropdownGroupProps = IIgrDropdownGroupProps> extends React.Component<P, {}> {
    protected createImplementation(): DropdownGroup;
    protected _implementation: any;
    /**
     * @hidden
     */
    get i(): DropdownGroup; /**
                                 * @hidden
                                 */
    static _createFromInternal(internal: any): IgrDropdownGroup;
    private onImplementationCreated;
    constructor(props: P);
    componentDidMount(): void;
    shouldComponentUpdate(nextProps: any, nextState: any): boolean;
    render(): React.DOMElement<{
        ref: (ref: any) => void;
        className: P["className"];
        style: P["style"];
        children: any[];
    }, any>;
    protected _elRef: HTMLElement;
    protected _getMainRef(ref: any): void;
    /**
     * @private
    */
    get size(): DropdownGroupSize;
    set size(v: DropdownGroupSize);
    findByName(name: string): any;
    protected __p: string;
    protected _hasUserValues: Set<string>;
    protected get hasUserValues(): Set<string>;
    protected __m(propertyName: string): void;
    protected _stylingContainer: any;
    protected _stylingParent: any;
    protected _inStyling: boolean;
    protected _styling(container: any, component: any, parent?: any): void;
    connectedCallback(): void;
}
export interface IIgrDropdownGroupProps {
    children?: React.ReactNode;
    className?: string | undefined;
    style?: React.CSSProperties | undefined;
    /**
     * @private
    */
    size?: DropdownGroupSize | string;
}
