import { PaneDragActionType } from "./PaneDragActionType";
import { IgrDockManagerPoint } from "./igr-dock-manager-point";
import { IgrPaneDragAction, IIgrPaneDragActionProps } from "./igr-pane-drag-action";
import { FloatPaneAction } from "./FloatPaneAction";
export declare class IgrFloatPaneAction extends IgrPaneDragAction<IIgrFloatPaneActionProps> {
    protected createImplementation(): FloatPaneAction;
    /**
                                 * @hidden
                                 */
    get i(): FloatPaneAction;
    constructor(props: IIgrFloatPaneActionProps);
    get actionType(): PaneDragActionType;
    set actionType(v: PaneDragActionType);
    get location(): IgrDockManagerPoint;
    set location(v: IgrDockManagerPoint);
    get width(): number;
    set width(v: number);
    get height(): number;
    set height(v: number);
    findByName(name: string): any;
    protected _styling(container: any, component: any, parent?: any): void;
}
export interface IIgrFloatPaneActionProps extends IIgrPaneDragActionProps {
    actionType?: PaneDragActionType | string;
    location?: IgrDockManagerPoint;
    width?: number | string;
    height?: number | string;
}
