import * as React from 'react';
import { IgrCheckboxBase, IIgrCheckboxBaseProps } from "./igr-checkbox-base";
import { Switch } from "./Switch";
/**
 * Similar to a checkbox, a switch controls the state of a single setting on or off.
*/
export declare class IgrSwitch extends IgrCheckboxBase<IIgrSwitchProps> {
    protected createImplementation(): Switch;
    /**
                                 * @hidden
                                 */
    get i(): Switch;
    constructor(props: IIgrSwitchProps);
    componentDidMount(): void;
    render(): React.DOMElement<{
        ref: (ref: any) => void;
        className: string;
        style: React.CSSProperties;
        children: any[];
    }, any>;
    protected _elRef: HTMLElement;
    protected _getMainRef(ref: any): void;
}
export interface IIgrSwitchProps extends IIgrCheckboxBaseProps {
}
