/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { CalendarBase } from "./CalendarBase";
import { WCNativeHelper } from "./WCNativeHelper";
import { enumGetBox, EnumUtil, markType } from "igniteui-react-core";
import { CalendarHeaderOrientation_$type } from "./CalendarHeaderOrientation";
import { CalendarOrientation_$type } from "./CalendarOrientation";
import { CalendarActiveView_$type } from "./CalendarActiveView";
import { SizableComponentSize_$type } from "./SizableComponentSize";
import { ComponentDataValueChangedEventArgs } from "./ComponentDataValueChangedEventArgs";
/**
 * @hidden
 */
export let Calendar = /*@__PURE__*/ (() => {
    class Calendar extends CalendarBase {
        constructor() {
            super(...arguments);
            this.change = null;
        }
        get v() {
            let ret_ = this.f.c("value");
            return ret_;
        }
        set v(a) {
            let value_ = a;
            this.f.i("value", value_);
        }
        get k() {
            let ret_ = this.f.c("values");
            return ret_;
        }
        set k(a) {
            let value_ = a;
            this.f.i("values", value_);
        }
        get u() {
            let ret_ = this.f.c("activeDate");
            return ret_;
        }
        set u(a) {
            let value_ = a;
            this.f.i("activeDate", value_);
        }
        get t() {
            let ret_ = this.f.c("hideOutsideDays");
            return ret_;
        }
        set t(a) {
            let value_ = a;
            this.f.i("hideOutsideDays", value_);
        }
        get s() {
            let ret_ = this.f.c("hideHeader");
            return ret_;
        }
        set s(a) {
            let value_ = a;
            this.f.i("hideHeader", value_);
        }
        get n() {
            let ret_ = this.f.c("headerOrientation");
            ret_ = enumGetBox(CalendarHeaderOrientation_$type, EnumUtil.getEnumValue(CalendarHeaderOrientation_$type, EnumUtil.parse(CalendarHeaderOrientation_$type, ret_.toString(), true)));
            return EnumUtil.getEnumValue(CalendarHeaderOrientation_$type, ret_);
        }
        set n(a) {
            let value_ = enumGetBox(CalendarHeaderOrientation_$type, a);
            value_ = WCNativeHelper.e(value_.toString());
            this.f.i("headerOrientation", value_);
        }
        get o() {
            let ret_ = this.f.c("orientation");
            ret_ = enumGetBox(CalendarOrientation_$type, EnumUtil.getEnumValue(CalendarOrientation_$type, EnumUtil.parse(CalendarOrientation_$type, ret_.toString(), true)));
            return EnumUtil.getEnumValue(CalendarOrientation_$type, ret_);
        }
        set o(a) {
            let value_ = enumGetBox(CalendarOrientation_$type, a);
            value_ = WCNativeHelper.e(value_.toString());
            this.f.i("orientation", value_);
        }
        get w() {
            let ret_ = this.f.c("visibleMonths");
            return ret_;
        }
        set w(a) {
            let value_ = a;
            this.f.i("visibleMonths", value_);
        }
        get l() {
            let ret_ = this.f.c("activeView");
            ret_ = enumGetBox(CalendarActiveView_$type, EnumUtil.getEnumValue(CalendarActiveView_$type, EnumUtil.parse(CalendarActiveView_$type, ret_.toString(), true)));
            return EnumUtil.getEnumValue(CalendarActiveView_$type, ret_);
        }
        set l(a) {
            let value_ = enumGetBox(CalendarActiveView_$type, a);
            value_ = WCNativeHelper.e(value_.toString());
            this.f.i("activeView", value_);
        }
        get m() {
            let ret_ = this.f.c("formatOptions");
            return ret_;
        }
        set m(a) {
            let value_ = a;
            this.f.i("formatOptions", value_);
        }
        get p() {
            let ret_ = this.f.c("resourceStrings");
            return ret_;
        }
        set p(a) {
            let value_ = a;
            this.f.i("resourceStrings", value_);
        }
        get r() {
            let ret_ = this.f.c("size");
            ret_ = enumGetBox(SizableComponentSize_$type, EnumUtil.getEnumValue(SizableComponentSize_$type, EnumUtil.parse(SizableComponentSize_$type, ret_.toString(), true)));
            return EnumUtil.getEnumValue(SizableComponentSize_$type, ret_);
        }
        set r(a) {
            let value_ = enumGetBox(SizableComponentSize_$type, a);
            value_ = WCNativeHelper.e(value_.toString());
            this.f.i("size", value_);
        }
        changeChanged() {
            if (this.change != null) {
                this.f.g("change", (a) => this.change(this, ComponentDataValueChangedEventArgs.a(a)));
            }
            else {
                this.f.h("change");
            }
        }
    }
    Calendar.$t = /*@__PURE__*/ markType(Calendar, 'Calendar', CalendarBase.$);
    return Calendar;
})();
