/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { BaseElement } from "./BaseElement";
import { WCNativeHelper } from "./WCNativeHelper";
import { Base, enumGetBox, EnumUtil, markType } from "igniteui-react-core";
import { ExpansionPanelIndicatorPosition_$type } from "./ExpansionPanelIndicatorPosition";
/**
 * @hidden
 */
export let ExpansionPanel = /*@__PURE__*/ (() => {
    class ExpansionPanel extends BaseElement {
        constructor() {
            super(...arguments);
            this.f = new WCNativeHelper();
            this.j = null;
            this.opening = null;
            this.opened = null;
            this.closing = null;
            this.closed = null;
        }
        get g() {
            return this.f;
        }
        get nativeElement() {
            return this.j;
        }
        set nativeElement(a) {
            this.j = a;
            this.f.d = this.j;
        }
        get i() {
            let ret_ = this.g.c("open");
            return ret_;
        }
        set i(a) {
            let value_ = a;
            this.g.i("open", value_);
        }
        get h() {
            let ret_ = this.g.c("disabled");
            return ret_;
        }
        set h(a) {
            let value_ = a;
            this.g.i("disabled", value_);
        }
        get e() {
            let ret_ = this.g.c("indicatorPosition");
            ret_ = enumGetBox(ExpansionPanelIndicatorPosition_$type, EnumUtil.getEnumValue(ExpansionPanelIndicatorPosition_$type, EnumUtil.parse(ExpansionPanelIndicatorPosition_$type, ret_.toString(), true)));
            return EnumUtil.getEnumValue(ExpansionPanelIndicatorPosition_$type, ret_);
        }
        set e(a) {
            let value_ = enumGetBox(ExpansionPanelIndicatorPosition_$type, a);
            value_ = WCNativeHelper.e(value_.toString());
            this.g.i("indicatorPosition", value_);
        }
        openingChanged() {
            if (this.opening != null) {
                this.g.g("opening", (a) => this.opening(this, ExpansionPanelComponentEventArgs.b(a)));
            }
            else {
                this.g.h("opening");
            }
        }
        openedChanged() {
            if (this.opened != null) {
                this.g.g("opened", (a) => this.opened(this, ExpansionPanelComponentEventArgs.b(a)));
            }
            else {
                this.g.h("opened");
            }
        }
        closingChanged() {
            if (this.closing != null) {
                this.g.g("closing", (a) => this.closing(this, ExpansionPanelComponentEventArgs.b(a)));
            }
            else {
                this.g.h("closing");
            }
        }
        closedChanged() {
            if (this.closed != null) {
                this.g.g("closed", (a) => this.closed(this, ExpansionPanelComponentEventArgs.b(a)));
            }
            else {
                this.g.h("closed");
            }
        }
        n() {
            this.nativeElement.connectedCallback();
        }
        s() {
            this.nativeElement.toggle();
        }
        o() {
            this.nativeElement.hide();
        }
        r() {
            this.nativeElement.show();
        }
    }
    ExpansionPanel.$t = /*@__PURE__*/ markType(ExpansionPanel, 'ExpansionPanel', BaseElement.$);
    return ExpansionPanel;
})();
/**
 * @hidden
 */
export let ExpansionPanelComponentEventArgs = /*@__PURE__*/ (() => {
    class ExpansionPanelComponentEventArgs extends Base {
        constructor() {
            super(...arguments);
            this.a = null;
        }
        static b(a) {
            return ((() => {
                let $ret = new ExpansionPanelComponentEventArgs();
                $ret.a = a;
                return $ret;
            })());
        }
    }
    ExpansionPanelComponentEventArgs.$t = /*@__PURE__*/ markType(ExpansionPanelComponentEventArgs, 'ExpansionPanelComponentEventArgs');
    return ExpansionPanelComponentEventArgs;
})();
