/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { BaseElement } from "./BaseElement";
import { WCNativeHelper } from "./WCNativeHelper";
import { enumGetBox, EnumUtil, markType } from "igniteui-react-core";
import { SizableComponentSize_$type } from "./SizableComponentSize";
import { ComponentValueChangedEventArgs } from "./ComponentValueChangedEventArgs";
import { VoidEventArgs } from "./VoidEventArgs";
/**
 * @hidden
 */
export let InputBase = /*@__PURE__*/ (() => {
    class InputBase extends BaseElement {
        constructor() {
            super(...arguments);
            this.e = new WCNativeHelper();
            this.k = null;
            this.inputOcurred = null;
            this.focus = null;
            this.blur = null;
        }
        get f() {
            return this.e;
        }
        get nativeElement() {
            return this.k;
        }
        set nativeElement(a) {
            this.k = a;
            this.e.d = this.k;
        }
        get n() {
            let ret_ = this.f.c("name");
            return ret_;
        }
        set n(a) {
            let value_ = a;
            this.f.i("name", value_);
        }
        get h() {
            let ret_ = this.f.c("outlined");
            return ret_;
        }
        set h(a) {
            let value_ = a;
            this.f.i("outlined", value_);
        }
        get j() {
            let ret_ = this.f.c("required");
            return ret_;
        }
        set j(a) {
            let value_ = a;
            this.f.i("required", value_);
        }
        get g() {
            let ret_ = this.f.c("disabled");
            return ret_;
        }
        set g(a) {
            let value_ = a;
            this.f.i("disabled", value_);
        }
        get i() {
            let ret_ = this.f.c("readonly");
            return ret_;
        }
        set i(a) {
            let value_ = a;
            this.f.i("readonly", value_);
        }
        get o() {
            let ret_ = this.f.c("placeholder");
            return ret_;
        }
        set o(a) {
            let value_ = a;
            this.f.i("placeholder", value_);
        }
        get m() {
            let ret_ = this.f.c("label");
            return ret_;
        }
        set m(a) {
            let value_ = a;
            this.f.i("label", value_);
        }
        get b() {
            let ret_ = this.f.c("size");
            ret_ = enumGetBox(SizableComponentSize_$type, EnumUtil.getEnumValue(SizableComponentSize_$type, EnumUtil.parse(SizableComponentSize_$type, ret_.toString(), true)));
            return EnumUtil.getEnumValue(SizableComponentSize_$type, ret_);
        }
        set b(a) {
            let value_ = enumGetBox(SizableComponentSize_$type, a);
            value_ = WCNativeHelper.e(value_.toString());
            this.f.i("size", value_);
        }
        inputOcurredChanged() {
            if (this.inputOcurred != null) {
                this.f.g("inputOcurred", (a) => this.inputOcurred(this, ComponentValueChangedEventArgs.a(a)));
            }
            else {
                this.f.h("inputOcurred");
            }
        }
        focusChanged() {
            if (this.focus != null) {
                this.f.g("focus", (a) => this.focus(this, VoidEventArgs.b(a)));
            }
            else {
                this.f.h("focus");
            }
        }
        blurChanged() {
            if (this.blur != null) {
                this.f.g("blur", (a) => this.blur(this, VoidEventArgs.b(a)));
            }
            else {
                this.f.h("blur");
            }
        }
        r() {
            this.nativeElement.connectedCallback();
        }
        x(a) {
            this.nativeElement.themeAdopted(a);
        }
        t(a) {
            this.nativeElement.focusComponent(a);
        }
        q() {
            this.nativeElement.blurComponent();
        }
        w(a, b, c) {
            this.nativeElement.setSelectionRange(a, b, c);
        }
        v(a, b, c, d) {
            this.nativeElement.setRangeText(a, b, c, d);
        }
    }
    InputBase.$t = /*@__PURE__*/ markType(InputBase, 'InputBase', BaseElement.$);
    return InputBase;
})();
