/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { BaseElement } from "./BaseElement";
import { WCNativeHelper } from "./WCNativeHelper";
import { enumGetBox, EnumUtil, markType } from "igniteui-react-core";
import { ProgressBaseVariant_$type } from "./ProgressBaseVariant";
/**
 * @hidden
 */
export let ProgressBase = /*@__PURE__*/ (() => {
    class ProgressBase extends BaseElement {
        constructor() {
            super(...arguments);
            this.b = new WCNativeHelper();
            this.i = null;
        }
        get c() {
            return this.b;
        }
        get nativeElement() {
            return this.i;
        }
        set nativeElement(a) {
            this.i = a;
            this.b.d = this.i;
        }
        get g() {
            let ret_ = this.c.c("max");
            return ret_;
        }
        set g(a) {
            let value_ = a;
            this.c.i("max", value_);
        }
        get h() {
            let ret_ = this.c.c("value");
            return ret_;
        }
        set h(a) {
            let value_ = a;
            this.c.i("value", value_);
        }
        get a() {
            let ret_ = this.c.c("variant");
            ret_ = enumGetBox(ProgressBaseVariant_$type, EnumUtil.getEnumValue(ProgressBaseVariant_$type, EnumUtil.parse(ProgressBaseVariant_$type, ret_.toString(), true)));
            return EnumUtil.getEnumValue(ProgressBaseVariant_$type, ret_);
        }
        set a(a) {
            let value_ = enumGetBox(ProgressBaseVariant_$type, a);
            value_ = WCNativeHelper.e(value_.toString());
            this.c.i("variant", value_);
        }
        get f() {
            let ret_ = this.c.c("animationDuration");
            return ret_;
        }
        set f(a) {
            let value_ = a;
            this.c.i("animationDuration", value_);
        }
        get e() {
            let ret_ = this.c.c("indeterminate");
            return ret_;
        }
        set e(a) {
            let value_ = a;
            this.c.i("indeterminate", value_);
        }
        get d() {
            let ret_ = this.c.c("hideLabel");
            return ret_;
        }
        set d(a) {
            let value_ = a;
            this.c.i("hideLabel", value_);
        }
        get k() {
            let ret_ = this.c.c("labelFormat");
            return ret_;
        }
        set k(a) {
            let value_ = a;
            this.c.i("labelFormat", value_);
        }
        l() {
            this.nativeElement.connectedCallback();
        }
    }
    ProgressBase.$t = /*@__PURE__*/ markType(ProgressBase, 'ProgressBase', BaseElement.$);
    return ProgressBase;
})();
