/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { SliderBase } from "./SliderBase";
import { markType } from "igniteui-react-core";
import { NumberEventArgs } from "./NumberEventArgs";
/**
 * @hidden
 */
export let Slider = /*@__PURE__*/ (() => {
    class Slider extends SliderBase {
        constructor() {
            super(...arguments);
            this.input = null;
            this.change = null;
        }
        get y() {
            let ret_ = this.e.c("value");
            return ret_;
        }
        set y(a) {
            let value_ = a;
            this.e.i("value", value_);
        }
        get z() {
            let ret_ = this.e.c("ariaLabel");
            return ret_;
        }
        set z(a) {
            let value_ = a;
            this.e.i("ariaLabel", value_);
        }
        inputChanged() {
            if (this.input != null) {
                this.e.g("input", (a) => this.input(this, NumberEventArgs.a(a)));
            }
            else {
                this.e.h("input");
            }
        }
        changeChanged() {
            if (this.change != null) {
                this.e.g("change", (a) => this.change(this, NumberEventArgs.a(a)));
            }
            else {
                this.e.h("change");
            }
        }
        ad(a) {
            this.nativeElement.stepUp(a);
        }
        ac(a) {
            this.nativeElement.stepDown(a);
        }
    }
    Slider.$t = /*@__PURE__*/ markType(Slider, 'Slider', SliderBase.$);
    return Slider;
})();
