/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { DockManagerPane } from "./DockManagerPane";
import { WCNativeHelper } from "./WCNativeHelper";
import { enumGetBox, EnumUtil, markType } from "igniteui-react-core";
import { DockManagerPaneType_$type } from "./DockManagerPaneType";
import { SplitPaneOrientation_$type } from "./SplitPaneOrientation";
/**
 * @hidden
 */
export let SplitPane = /*@__PURE__*/ (() => {
    class SplitPane extends DockManagerPane {
        constructor() {
            super(...arguments);
            this.i = new WCNativeHelper();
            this.p = null;
        }
        get j() {
            return this.i;
        }
        get nativeElement() {
            return this.p;
        }
        set nativeElement(a) {
            this.p = a;
            this.i.d = this.p;
        }
        get r() {
            let ret_ = this.j.c("id");
            return ret_;
        }
        set r(a) {
            let value_ = a;
            this.j.i("id", value_);
        }
        get f() {
            let ret_ = this.j.c("type");
            return EnumUtil.getEnumValue(DockManagerPaneType_$type, ret_);
        }
        set f(a) {
            let value_ = enumGetBox(DockManagerPaneType_$type, a);
            this.j.i("type", value_);
        }
        get h() {
            let ret_ = this.j.c("orientation");
            ret_ = enumGetBox(SplitPaneOrientation_$type, EnumUtil.getEnumValue(SplitPaneOrientation_$type, EnumUtil.parse(SplitPaneOrientation_$type, ret_.toString(), true)));
            return EnumUtil.getEnumValue(SplitPaneOrientation_$type, ret_);
        }
        set h(a) {
            let value_ = enumGetBox(SplitPaneOrientation_$type, a);
            value_ = WCNativeHelper.e(value_.toString());
            this.j.i("orientation", value_);
        }
        get e() {
            let ret_ = this.j.c("panes");
            return ret_;
        }
        set e(a) {
            let value_ = a;
            this.j.i("panes", value_);
        }
        get o() {
            let ret_ = this.j.c("size");
            return ret_;
        }
        set o(a) {
            let value_ = a;
            this.j.i("size", value_);
        }
        get g() {
            let ret_ = this.j.c("floatingLocation");
            return ret_;
        }
        set g(a) {
            let value_ = a;
            this.j.i("floatingLocation", value_);
        }
        get n() {
            let ret_ = this.j.c("floatingWidth");
            return ret_;
        }
        set n(a) {
            let value_ = a;
            this.j.i("floatingWidth", value_);
        }
        get m() {
            let ret_ = this.j.c("floatingHeight");
            return ret_;
        }
        set m(a) {
            let value_ = a;
            this.j.i("floatingHeight", value_);
        }
        get l() {
            let ret_ = this.j.c("floatingResizable");
            return ret_;
        }
        set l(a) {
            let value_ = a;
            this.j.i("floatingResizable", value_);
        }
        get k() {
            let ret_ = this.j.c("allowEmpty");
            return ret_;
        }
        set k(a) {
            let value_ = a;
            this.j.i("allowEmpty", value_);
        }
    }
    SplitPane.$t = /*@__PURE__*/ markType(SplitPane, 'SplitPane', DockManagerPane.$);
    return SplitPane;
})();
