/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { DockManagerPane } from "./DockManagerPane";
import { WCNativeHelper } from "./WCNativeHelper";
import { enumGetBox, EnumUtil, markType } from "igniteui-react-core";
import { DockManagerPaneType_$type } from "./DockManagerPaneType";
/**
 * @hidden
 */
export let TabGroupPane = /*@__PURE__*/ (() => {
    class TabGroupPane extends DockManagerPane {
        constructor() {
            super(...arguments);
            this.g = new WCNativeHelper();
            this.l = null;
        }
        get h() {
            return this.g;
        }
        get nativeElement() {
            return this.l;
        }
        set nativeElement(a) {
            this.l = a;
            this.g.d = this.l;
        }
        get n() {
            let ret_ = this.h.c("id");
            return ret_;
        }
        set n(a) {
            let value_ = a;
            this.h.i("id", value_);
        }
        get f() {
            let ret_ = this.h.c("type");
            return EnumUtil.getEnumValue(DockManagerPaneType_$type, ret_);
        }
        set f(a) {
            let value_ = enumGetBox(DockManagerPaneType_$type, a);
            this.h.i("type", value_);
        }
        get e() {
            let ret_ = this.h.c("panes");
            return ret_;
        }
        set e(a) {
            let value_ = a;
            this.h.i("panes", value_);
        }
        get k() {
            let ret_ = this.h.c("size");
            return ret_;
        }
        set k(a) {
            let value_ = a;
            this.h.i("size", value_);
        }
        get j() {
            let ret_ = this.h.c("selectedIndex");
            return ret_;
        }
        set j(a) {
            let value_ = a;
            this.h.i("selectedIndex", value_);
        }
        get i() {
            let ret_ = this.h.c("allowEmpty");
            return ret_;
        }
        set i(a) {
            let value_ = a;
            this.h.i("allowEmpty", value_);
        }
    }
    TabGroupPane.$t = /*@__PURE__*/ markType(TabGroupPane, 'TabGroupPane', DockManagerPane.$);
    return TabGroupPane;
})();
