import { CalendarFormatOptions as CalendarFormatOptions_internal } from "./CalendarFormatOptions";
export class IgrCalendarFormatOptions {
    constructor() {
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this.onImplementationCreated();
    }
    createImplementation() {
        return new CalendarFormatOptions_internal();
    }
    /**
     * @hidden
     */
    get i() {
        return this._implementation;
    }
    onImplementationCreated() {
    }
    _provideImplementation(i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
    }
    get weekday() {
        return this.i.weekday;
    }
    set weekday(v) {
        this.i.weekday = v;
    }
    get month() {
        return this.i.month;
    }
    set month(v) {
        this.i.month = v;
    }
    findByName(name) {
        return null;
    }
}
