import { RangeSliderValue as RangeSliderValue_internal } from "./RangeSliderValue";
export class IgrRangeSliderValue {
    constructor() {
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this.onImplementationCreated();
    }
    createImplementation() {
        return new RangeSliderValue_internal();
    }
    /**
     * @hidden
     */
    get i() {
        return this._implementation;
    }
    onImplementationCreated() {
    }
    _provideImplementation(i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
    }
    get lower() {
        return this.i.a;
    }
    set lower(v) {
        this.i.a = +v;
    }
    get upper() {
        return this.i.b;
    }
    set upper(v) {
        this.i.b = +v;
    }
    findByName(name) {
        return null;
    }
}
