import { TreeItemComponentEventArgs as TreeItemComponentEventArgs_internal } from "./TreeItemComponentEventArgs";
export class IgrTreeItemComponentEventArgs {
    constructor() {
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this.onImplementationCreated();
    }
    createImplementation() {
        return new TreeItemComponentEventArgs_internal();
    }
    /**
     * @hidden
     */
    get i() {
        return this._implementation;
    }
    onImplementationCreated() {
    }
    _provideImplementation(i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
    }
    get detail() {
        if (this.i.a == null) {
            return null;
        }
        return this.i.a.externalObject;
    }
    set detail(v) {
        v == null ? this.i.a = null : this.i.a = v.i;
    }
}
