/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { DockManagerPane } from "./DockManagerPane";
import { WCNativeHelper } from "./WCNativeHelper";
import { enumGetBox, EnumUtil, markType } from "igniteui-react-core";
import { DockManagerPaneType_$type } from "./DockManagerPaneType";
import { ContentPaneUnpinnedLocation_$type } from "./ContentPaneUnpinnedLocation";
/**
 * @hidden
 */
var ContentPane = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(ContentPane, _super);
    function ContentPane() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.g = new WCNativeHelper();
        _this.t = null;
        return _this;
    }
    Object.defineProperty(ContentPane.prototype, "h", {
        get: function () {
            return this.g;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ContentPane.prototype, "nativeElement", {
        get: function () {
            return this.t;
        },
        set: function (a) {
            this.t = a;
            this.g.d = this.t;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ContentPane.prototype, "z", {
        get: function () {
            var ret_ = this.h.c("id");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.h.i("id", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ContentPane.prototype, "f", {
        get: function () {
            var ret_ = this.h.c("type");
            return EnumUtil.getEnumValue(DockManagerPaneType_$type, ret_);
        },
        set: function (a) {
            var value_ = enumGetBox(DockManagerPaneType_$type, a);
            this.h.i("type", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ContentPane.prototype, "v", {
        get: function () {
            var ret_ = this.h.c("contentId");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.h.i("contentId", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ContentPane.prototype, "x", {
        get: function () {
            var ret_ = this.h.c("header");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.h.i("header", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ContentPane.prototype, "y", {
        get: function () {
            var ret_ = this.h.c("headerId");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.h.i("headerId", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ContentPane.prototype, "aa", {
        get: function () {
            var ret_ = this.h.c("tabHeaderId");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.h.i("tabHeaderId", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ContentPane.prototype, "ab", {
        get: function () {
            var ret_ = this.h.c("unpinnedHeaderId");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.h.i("unpinnedHeaderId", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ContentPane.prototype, "w", {
        get: function () {
            var ret_ = this.h.c("floatingHeaderId");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.h.i("floatingHeaderId", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ContentPane.prototype, "r", {
        get: function () {
            var ret_ = this.h.c("size");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.h.i("size", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ContentPane.prototype, "i", {
        get: function () {
            var ret_ = this.h.c("allowClose");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.h.i("allowClose", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ContentPane.prototype, "l", {
        get: function () {
            var ret_ = this.h.c("allowMaximize");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.h.i("allowMaximize", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ContentPane.prototype, "m", {
        get: function () {
            var ret_ = this.h.c("allowPinning");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.h.i("allowPinning", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ContentPane.prototype, "j", {
        get: function () {
            var ret_ = this.h.c("allowDocking");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.h.i("allowDocking", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ContentPane.prototype, "k", {
        get: function () {
            var ret_ = this.h.c("allowFloating");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.h.i("allowFloating", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ContentPane.prototype, "s", {
        get: function () {
            var ret_ = this.h.c("unpinnedSize");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.h.i("unpinnedSize", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ContentPane.prototype, "q", {
        get: function () {
            var ret_ = this.h.c("isPinned");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.h.i("isPinned", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ContentPane.prototype, "e", {
        get: function () {
            var ret_ = this.h.c("unpinnedLocation");
            ret_ = enumGetBox(ContentPaneUnpinnedLocation_$type, EnumUtil.getEnumValue(ContentPaneUnpinnedLocation_$type, EnumUtil.parse(ContentPaneUnpinnedLocation_$type, ret_.toString(), true)));
            return EnumUtil.getEnumValue(ContentPaneUnpinnedLocation_$type, ret_);
        },
        set: function (a) {
            var value_ = enumGetBox(ContentPaneUnpinnedLocation_$type, a);
            value_ = WCNativeHelper.e(value_.toString());
            this.h.i("unpinnedLocation", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ContentPane.prototype, "p", {
        get: function () {
            var ret_ = this.h.c("hidden");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.h.i("hidden", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ContentPane.prototype, "n", {
        get: function () {
            var ret_ = this.h.c("disabled");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.h.i("disabled", value_);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ContentPane.prototype, "o", {
        get: function () {
            var ret_ = this.h.c("documentOnly");
            return ret_;
        },
        set: function (a) {
            var value_ = a;
            this.h.i("documentOnly", value_);
        },
        enumerable: false,
        configurable: true
    });
    ContentPane.$t = markType(ContentPane, 'ContentPane', DockManagerPane.$);
    return ContentPane;
}(DockManagerPane));
export { ContentPane };
