import { CalendarBase } from "./CalendarBase";
import { Type } from "igniteui-react-core";
import { CalendarHeaderOrientation } from "./CalendarHeaderOrientation";
import { CalendarOrientation } from "./CalendarOrientation";
import { CalendarActiveView } from "./CalendarActiveView";
import { CalendarFormatOptions } from "./CalendarFormatOptions";
import { CalendarResourceStrings } from "./CalendarResourceStrings";
import { SizableComponentSize } from "./SizableComponentSize";
import { ComponentDataValueChangedEventArgs } from "./ComponentDataValueChangedEventArgs";
/**
 * @hidden
 */
export declare class Calendar extends CalendarBase {
    static $t: Type;
    get v(): Date;
    set v(a: Date);
    get k(): Date[];
    set k(a: Date[]);
    get u(): Date;
    set u(a: Date);
    get t(): boolean;
    set t(a: boolean);
    get s(): boolean;
    set s(a: boolean);
    get n(): CalendarHeaderOrientation;
    set n(a: CalendarHeaderOrientation);
    get o(): CalendarOrientation;
    set o(a: CalendarOrientation);
    get w(): number;
    set w(a: number);
    get l(): CalendarActiveView;
    set l(a: CalendarActiveView);
    get m(): CalendarFormatOptions;
    set m(a: CalendarFormatOptions);
    get p(): CalendarResourceStrings;
    set p(a: CalendarResourceStrings);
    get r(): SizableComponentSize;
    set r(a: SizableComponentSize);
    change: (sender: any, args: ComponentDataValueChangedEventArgs) => void;
    changeChanged(): void;
}
