import { BaseElement } from "./BaseElement";
import { WCNativeHelper } from "./WCNativeHelper";
import { Type } from "igniteui-react-core";
import { TreeSelection } from "./TreeSelection";
import { TreeDir } from "./TreeDir";
import { SizableComponentSize } from "./SizableComponentSize";
import { TreeSelectionOptionsEventArgs } from "./TreeSelectionOptionsEventArgs";
import { TreeItemComponentEventArgs } from "./TreeItemComponentEventArgs";
import { TreeItem } from "./TreeItem";
/**
 * @hidden
 */
export declare class Tree extends BaseElement {
    static $t: Type;
    private j;
    protected get k(): WCNativeHelper;
    private m;
    protected get nativeElement(): any;
    protected set nativeElement(a: any);
    get l(): boolean;
    set l(a: boolean);
    get h(): TreeSelection;
    set h(a: TreeSelection);
    get b(): TreeDir;
    set b(a: TreeDir);
    get a(): SizableComponentSize;
    set a(a: SizableComponentSize);
    selectionChanged: (sender: any, args: TreeSelectionOptionsEventArgs) => void;
    selectionChangedChanged(): void;
    itemExpanding: (sender: any, args: TreeItemComponentEventArgs) => void;
    itemExpandingChanged(): void;
    itemExpanded: (sender: any, args: TreeItemComponentEventArgs) => void;
    itemExpandedChanged(): void;
    itemCollapsing: (sender: any, args: TreeItemComponentEventArgs) => void;
    itemCollapsingChanged(): void;
    itemCollapsed: (sender: any, args: TreeItemComponentEventArgs) => void;
    itemCollapsedChanged(): void;
    activeItem: (sender: any, args: TreeItemComponentEventArgs) => void;
    activeItemChanged(): void;
    p(): void;
    q(a: TreeItem): void;
}
