import * as React from 'react';
import { DockManagerResourceStrings } from "./DockManagerResourceStrings";
/**
 * Describes dock manager resource strings.
*/
export declare class IgrDockManagerResourceStrings<P extends IIgrDockManagerResourceStringsProps = IIgrDockManagerResourceStringsProps> extends React.Component<P, {}> {
    protected createImplementation(): DockManagerResourceStrings;
    protected _implementation: any;
    /**
     * @hidden
     */
    get i(): DockManagerResourceStrings; /**
                                 * @hidden
                                 */
    static _createFromInternal(internal: any): IgrDockManagerResourceStrings;
    private onImplementationCreated;
    constructor(props: P);
    componentDidMount(): void;
    shouldComponentUpdate(nextProps: any, nextState: any): boolean;
    render(): any;
    get close(): string;
    set close(v: string);
    get pin(): string;
    set pin(v: string);
    get unpin(): string;
    set unpin(v: string);
    get maximize(): string;
    set maximize(v: string);
    get minimize(): string;
    set minimize(v: string);
    get moreOptions(): string;
    set moreOptions(v: string);
    get moreTabs(): string;
    set moreTabs(v: string);
    get panes(): string;
    set panes(v: string);
    get documents(): string;
    set documents(v: string);
    findByName(name: string): any;
    protected __p: string;
    protected _hasUserValues: Set<string>;
    protected get hasUserValues(): Set<string>;
    protected __m(propertyName: string): void;
    protected _stylingContainer: any;
    protected _stylingParent: any;
    protected _inStyling: boolean;
    protected _styling(container: any, component: any, parent?: any): void;
}
export interface IIgrDockManagerResourceStringsProps {
    children?: React.ReactNode;
    close?: string;
    pin?: string;
    unpin?: string;
    maximize?: string;
    minimize?: string;
    moreOptions?: string;
    moreTabs?: string;
    panes?: string;
    documents?: string;
}
