import { PaneDragActionType } from "./PaneDragActionType";
import { IgrPaneDragAction, IIgrPaneDragActionProps } from "./igr-pane-drag-action";
import { MoveTabAction } from "./MoveTabAction";
export declare class IgrMoveTabAction extends IgrPaneDragAction<IIgrMoveTabActionProps> {
    protected createImplementation(): MoveTabAction;
    /**
                                 * @hidden
                                 */
    get i(): MoveTabAction;
    constructor(props: IIgrMoveTabActionProps);
    get actionType(): PaneDragActionType;
    set actionType(v: PaneDragActionType);
    get oldIndex(): number;
    set oldIndex(v: number);
    get newIndex(): number;
    set newIndex(v: number);
}
export interface IIgrMoveTabActionProps extends IIgrPaneDragActionProps {
    actionType?: PaneDragActionType | string;
    oldIndex?: number | string;
    newIndex?: number | string;
}
